using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.MS.Domain.Enums
{
    /// <summary>
    /// 评估情况
    /// </summary>
    public enum CMEvaluateStatusEnum
    {
        /// <summary>
        /// 好 5
        /// </summary>
        [Description("好")]
        VeryGood = 5,

        /// <summary>
        /// 较好 10
        /// </summary>
        [Description("较好")]
        Good = 10,


        /// <summary>
        /// 一般 15
        /// </summary>
        [Description("一般")]
        General = 15,

        /// <summary>
        /// 差 20
        /// </summary>
        [Description("差")]
        Bad = 20,
    }

    /// <summary>
    /// 演练方式
    /// </summary>
    public enum CMDrillMethodEnum
    {
        /// <summary>
        /// 桌面演练 10
        /// </summary>
        [Description("桌面演练")]
        Desk = 10,

        /// <summary>
        /// 功能演练 20
        /// </summary>
        [Description("功能演练")]
        Function = 20,

        /// <summary>
        /// 全面演练 30
        /// </summary>
        [Description("全面演练")]
        Comprehensive = 30,
    }
    /// <summary>
    /// 应急响应条件
    /// </summary>
    public enum CMRspCondition
    {
        /// <summary>
        /// 合理 5
        /// </summary>
        [Description("合理")]
        Reasonable = 5,

        /// <summary>
        /// 不合理 10
        /// </summary>
        [Description("不合理")]
        NotReasonable = 10,
    }

    /// <summary>
    /// 应急响应程序
    /// </summary>
    public enum CMRspOrder
    {
        /// <summary>
        /// 明确 5
        /// </summary>
        [Description("明确")]
        Sure = 5,

        /// <summary>
        /// 不明确 10
        /// </summary>
        [Description("不明确")]
        NotSure = 10,
    }

    /// <summary>
    /// 应急响应培训水平
    /// </summary>
    public enum CMRspTrainingLevel
    {
        /// <summary>
        /// 充分 5
        /// </summary>
        [Description("充分")]
        Enough = 5,

        /// <summary>
        /// 不充分 10
        /// </summary>
        [Description("不充分")]
        NotEnough = 10,
    }

    /// <summary>
    /// 指挥系统
    /// </summary>
    public enum CMRspCommandLevel
    {
        /// <summary>
        /// 可靠 5
        /// </summary>
        [Description("可靠")]
        Reliable = 5,

        /// <summary>
        /// 不可靠 10
        /// </summary>
        [Description("不可靠")]
        NotReliable = 10,
    }

    /// <summary>
    /// 指挥系统
    /// </summary>
    public enum CMRspConditionStatus
    {
        /// <summary>
        /// 是 5
        /// </summary>
        [Description("是")]
        Yes = 5,

        /// <summary>
        /// 否 10
        /// </summary>
        [Description("否")]
        NO = 10,

        /// <summary>
        /// 不涉及 15
        /// </summary>
        [Description("不涉及")]
        NOTMark = 15,
    }
}
